← OBPv7.0.0 Data Warehouse Statistics POST /obp/v7.0.0/search/warehouse/statistics/INDEX/FIELD OBPv3.0.0-dataWarehouseStatistics Roles: CanSearchWarehouseStatistics Data-Warehouse Search the data warehouse and get statistical aggregations over a warehouse field Does a stats aggregation over some numeric field: https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-metrics-stats-aggregation.html User Authentication is Required. The User must be logged in. The Application must also be authenticated. CanSearchWarehouseStats Role is required. You can request this below. Elastic (search) is used in the background. See links below for syntax. Examples of usage: POST /search/warehouse/statistics/INDEX/FIELD POST /search/warehouse/statistics/ALL/FIELD { Any valid elasticsearch query DSL in the body } Elasticsearch query DSL Elastic simple query Elastic aggregations URL Parameters: FIELD: INDEX: JSON request body fields (2) match_all query JSON response body fields (0) Example request body { "query": { "match_all": {} } } Example success response {} Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.